Skip to main content

Delete a FIDO UAF credential

DELETE 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/fido-authenticators/:extId

Since: 2.71.0

Required permission(s): AccessControl.CredentialDelete or SelfAdmin Role

Deletes the FIDO UAF credential with the given external ID, belonging to the specified user.

Supports self-admin mode with JWT token validation, allowing a user to delete their own FIDO2 credential. When operating in self-admin mode, a valid JWT token must be provided in the X-Token request header.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the FIDO UAF credential.

    Example: uaf-123

Responses

FIDO UAF credential deleted successfully

Loading...